<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Display Registration Data</title>
</head>
<body>
<?php
// Initialize variables and check if fields are empty
$errors = [];

if (!empty($_POST['name'])) {
    $name = $_POST['name'];
} else {
    $name = NULL;
    $errors[] = "You did not fill out your name";
}

if (!empty($_POST['email'])) {
    $email = $_POST['email'];
} else {
    $email = NULL;
    $errors[] = "You did not fill out your email";
}

if (!empty($_POST['phone'])) {
    $phone = $_POST['phone'];
} else {
    $phone = NULL;
    $errors[] = "You did not fill out your phone number";
}

// Validate the date fields (month, day, year)
if ($_POST['month'] != 'Select' && $_POST['day'] != 'Select' && $_POST['year'] != 'Select') {
    $dob = $_POST['month'] . " " . $_POST['day'] . ", " . $_POST['year'];
} else {
    $dob = NULL;
    $errors[] = "You did not fill out the date of birth";
}

// Check if position is selected
if (!empty($_POST['position'])) {
    $position = $_POST['position'];
} else {
    $position = NULL;
    $errors[] = "You did not select a preferred position";
}

// Check if at least one skill is selected
$skills = [];
foreach (['skill1', 'skill2', 'skill3', 'skill4'] as $skill) {
    if (!empty($_POST[$skill])) {
        $skills[] = $_POST[$skill];
    }
}

if (empty($skills)) {
    $skills = NULL;
    $errors[] = "You did not select any skills";
}

// Get the comments if filled
$comments = $_POST['comments'] ?? NULL;
if (empty($comments)) {
    $errors[] = "You did not fill out your comments";
}

// Check if there are any errors
if (empty($errors)) {
    // If no errors, display the form data
    echo "<p>Thank you for filling out the form.</p>";
    echo "Your name is: $name" . "<br>";
    echo "Your email address is: $email" . "<br>";
    echo "Your phone number is: $phone" . "<br>";
    echo "Your date of birth is: $dob" . "<br>";
    echo "Your preferred position is: $position" . "<br>";
    echo "Skills: " . implode(", ", $skills) . "<br>";
    echo "Your comments: $comments" . "<br>";
} else {
    // If there are errors, display the error messages
    echo "<p>You did not complete the form properly. Please go back and fill in the missing fields:</p>";
    foreach ($errors as $error) {
        echo "<p>$error</p>";
    }
    echo "<p><button type=\"button\" onclick=\"location.href='index.php'\">Go back</button></p>";
}
?>
</body>
</html>